Package fr.gouv.vitam.functional.administration.common

# Class AccessionRegisterSummary

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<AccessionRegisterSummary>
fr.gouv.vitam.functional.administration.common.AccessionRegisterSummary

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class AccessionRegisterSummary extends VitamDocument<AccessionRegisterSummary>
Accession Register Summary document

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CREATION_DATE`
  the creationDate field of accession register
  `static final String`
  `DELETED`
  the deleted field of accession register
  `static final String`
  `INGESTED`
  the ingested field of accession register
  `static final String`
  `OBJECT_SIZE`
  the ObjectSize field of accession register
  `static final String`
  `ORIGINATING_AGENCY`
  the OriginatingAgency field of accession register
  `static final String`
  `REMAINED`
  the remained field of accession register
  `static final String`
  `TOTAL_OBJECTGROUPS`
  the TotalObjectGroups field of accession register
  `static final String`
  `TOTAL_OBJECTS`
  the TotalObjects field of accession register
  `static final String`
  `TOTAL_UNITS`
  the TotalUnits field of accession register

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessionRegisterSummary()`
  Empty Constructor
  `AccessionRegisterSummary(com.fasterxml.jackson.databind.JsonNode content)`
  `AccessionRegisterSummary(String content)`
  `AccessionRegisterSummary(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOriginatingAgency()`
  `RegisterValueDetailModel`
  `getTotalObjectGroups()`
  `RegisterValueDetailModel`
  `getTotalObjects()`
  `RegisterValueDetailModel`
  `getTotalObjectSize()`
  `RegisterValueDetailModel`
  `getTotalUnits()`
  `VitamDocument<AccessionRegisterSummary>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `AccessionRegisterSummary`
  `setCreationDate(String creationDate)`
  `AccessionRegisterSummary`
  `setId(String id)`
  `AccessionRegisterSummary`
  `setObjectSize(RegisterValueDetailModel objectSize)`
  `AccessionRegisterSummary`
  `setOriginatingAgency(String orgAgency)`
  `AccessionRegisterSummary`
  `setTotalObjectGroups(RegisterValueDetailModel totalObjectGroups)`
  `AccessionRegisterSummary`
  `setTotalObjects(RegisterValueDetailModel total)`
  `AccessionRegisterSummary`
  `setTotalUnits(RegisterValueDetailModel totalUnits)`

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### ORIGINATING_AGENCY

    public static final String ORIGINATING_AGENCY
    the OriginatingAgency field of accession register
    See Also:
      - Constant Field Values

  - ### TOTAL_UNITS

    public static final String TOTAL_UNITS
    the TotalUnits field of accession register
    See Also:
      - Constant Field Values

  - ### TOTAL_OBJECTGROUPS

    public static final String TOTAL_OBJECTGROUPS
    the TotalObjectGroups field of accession register
    See Also:
      - Constant Field Values

  - ### TOTAL_OBJECTS

    public static final String TOTAL_OBJECTS
    the TotalObjects field of accession register
    See Also:
      - Constant Field Values

  - ### OBJECT_SIZE

    public static final String OBJECT_SIZE
    the ObjectSize field of accession register
    See Also:
      - Constant Field Values

  - ### INGESTED

    public static final String INGESTED
    the ingested field of accession register
    See Also:
      - Constant Field Values

  - ### DELETED

    public static final String DELETED
    the deleted field of accession register
    See Also:
      - Constant Field Values

  - ### REMAINED

    public static final String REMAINED
    the remained field of accession register
    See Also:
      - Constant Field Values

  - ### CREATION_DATE

    public static final String CREATION_DATE
    the creationDate field of accession register
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AccessionRegisterSummary

    public AccessionRegisterSummary()
    Empty Constructor

  - ### AccessionRegisterSummary

    public AccessionRegisterSummary(org.bson.Document document)
    Constructor
    Parameters:
      `document` - in format Document to create AccessionRegisterSummary

  - ### AccessionRegisterSummary

    public AccessionRegisterSummary(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create AccessionRegisterSummary

  - ### AccessionRegisterSummary

    public AccessionRegisterSummary(String content)
    Parameters:
      `content` - in format String to create AccessionRegisterSummary

- ## Method Details

  - ### newInstance

    public VitamDocument<AccessionRegisterSummary> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<AccessionRegisterSummary>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### setId

    public AccessionRegisterSummary setId(String id)
    Parameters:
      `id` - as String to set
    Returns:
      AccessionRegisterDetail

  - ### setOriginatingAgency

    public AccessionRegisterSummary setOriginatingAgency(String orgAgency)
    Parameters:
      `orgAgency` - as Sting to set
    Returns:
      AccessionRegisterSummary

  - ### setTotalUnits

    public AccessionRegisterSummary setTotalUnits(RegisterValueDetailModel totalUnits)
    Parameters:
      `totalUnits` - to set
    Returns:
      AccessionRegisterSummary

  - ### getTotalUnits

    public RegisterValueDetailModel getTotalUnits()
    Returns:
      String

  - ### setTotalObjectGroups

    public AccessionRegisterSummary setTotalObjectGroups(RegisterValueDetailModel totalObjectGroups)
    Parameters:
      `totalObjectGroups` - to set
    Returns:
      AccessionRegisterSummary

  - ### getTotalObjectGroups

    public RegisterValueDetailModel getTotalObjectGroups()
    Returns:
      String

  - ### setTotalObjects

    public AccessionRegisterSummary setTotalObjects(RegisterValueDetailModel total)
    Parameters:
      `total` - to set
    Returns:
      AccessionRegisterSummary

  - ### getTotalObjects

    public RegisterValueDetailModel getTotalObjects()
    Returns:
      String

  - ### setObjectSize

    public AccessionRegisterSummary setObjectSize(RegisterValueDetailModel objectSize)
    Parameters:
      `objectSize` - to set
    Returns:
      AccessionRegisterSummary

  - ### getTotalObjectSize

    public RegisterValueDetailModel getTotalObjectSize()
    Returns:
      String

  - ### setCreationDate

    public AccessionRegisterSummary setCreationDate(String creationDate)
    Parameters:
      `creationDate` - to set
    Returns:
      AccessionRegisterSummary

  - ### getOriginatingAgency

    public String getOriginatingAgency()
    Returns:
      String